% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/db_list.r
\name{db_list}
\alias{db_list}
\title{List all databases.}
\usage{
db_list(cushion, simplify = TRUE, as = "list", ...)
}
\arguments{
\item{cushion}{A \code{\link{Cushion}} object. Required.}

\item{simplify}{(logical) Simplify to character vector, ignored
if \code{as="json"}}

\item{as}{(character) One of list (default) or json}

\item{...}{Curl args passed on to \code{\link[crul]{HttpClient}}}
}
\value{
JSON as a character string or a list (determined by the
\code{as} parameter)
}
\description{
List all databases.
}
\examples{
\dontrun{
user <- Sys.getenv("COUCHDB_TEST_USER")
pwd <- Sys.getenv("COUCHDB_TEST_PWD")
(x <- Cushion$new(user=user, pwd=pwd))

db_list(x)
db_list(x, as = 'json')
}
}
